## waterripple

waterripple — Creates a water ripple effect on the image

## Properties

gdouble | amplitude | Read / Write
gdouble | phase | Read / Write
gdouble | wavelength | Read / Write

## Types and Values

struct | GstWaterRipple

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstGeometricTransform
                                ╰── GstCircleGeometricTransform
                                    ╰── GstWaterRipple

## Description

## Synopsis

### Element Information

plugin | geometrictransform
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstWaterRipple

    struct GstWaterRipple;

## Property Details

### The `“amplitude”` property

      “amplitude”                gdouble

amplitude.

Flags: Read / Write

Default value: 10

### The `“phase”` property

      “phase”                    gdouble

phase.

Flags: Read / Write

Default value: 0

### The `“wavelength”` property

      “wavelength”               gdouble

wavelength.

Flags: Read / Write

Default value: 16